"""Add pending update for transfer endpoint records

Revision ID: 4a18bf75d8fd
Revises: d034e268bcc3
Create Date: 2024-04-11 15:00:30.468363

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = '4a18bf75d8fd'
down_revision = 'd034e268bcc3'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    with op.batch_alter_table('pending_updates', schema=None) as batch_op:
        batch_op.alter_column('update_type',
               existing_type=sa.VARCHAR(length=18),
               type_=sa.Enum('DELETE', 'UPDATE_DOMAIN', 'PATCH', 'UPDATE_LAST_ACCESS', 'UPDATE_TRANSFER_ENDPOINT', 'UPDATE_SCOPES', name='pendingupdatetype'),
               existing_nullable=False)

    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    with op.batch_alter_table('pending_updates', schema=None) as batch_op:
        batch_op.alter_column('update_type',
               existing_type=sa.Enum('DELETE', 'UPDATE_DOMAIN', 'PATCH', 'UPDATE_LAST_ACCESS', 'UPDATE_TRANSFER_ENDPOINT', 'UPDATE_SCOPES', name='pendingupdatetype'),
               type_=sa.VARCHAR(length=18),
               existing_nullable=False)

    # ### end Alembic commands ###
